Bug 431924 - RuntimeError: Error running : Permission denied
RuntimeError: Error running : Permission denied
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.2
s390x Linux
low Severity high
: beta
: ---
Assigned To: Peter Jones
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-07 15:44 EST by James Laska
Modified: 2013-09-02 02:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0397
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:32:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
iscsi.patch (1.25 KB, text/plain)
2008-02-08 08:48 EST, James Laska
no flags Details

  None (edit)
Description James Laska 2008-02-07 15:44:20 EST
When installing RHEL5.2-Server-20080207.nightly/s390x with a custom fix for
bug#431922 ... I encounter the following traceback.

20:24:17 INFO    : Running anaconda script /usr/bin/anaconda
 Ý?25h Ý?0c Ý24;1H Ý0;10m Ý37m Ý40m Ý0;10m Ý39;49m  ÝK Running anaconda, the Red
 Hat Enterprise Linux Server system installer - please wait...
Starting VNC...


WARNING!!! VNC server running with NO PASSWORD!
You can use the vncpassword=<password> boot option
if you would like to secure the server.


The VNC server is now running.
Please connect to samantha.z900.redhat.com:1 to begin the install...
Starting graphical installation...
Press <enter> for a shell
Traceback (most recent call last):
  File "/usr/bin/anaconda", line 902, in ?
    anaconda.id = instClass.installDataClass(anaconda, extraModules, floppyDevic
e, anaconda.methodstr, opts.display_mode, anaconda.backend)
  File "/usr/lib/anaconda/instdata.py", line 316, in __init__
    self.reset()
  File "/usr/lib/anaconda/instdata.py", line 56, in reset
    self.iscsi = iscsi.iscsi()
  File "/usr/lib/anaconda/iscsi.py", line 171, in __init__
    self.fwinfo = self._queryFirmware()
  File "/usr/lib/anaconda/iscsi.py", line 216, in _queryFirmware
    result = iutil.execWithCapture(ISCSIADM, argv)
  File "/usr/lib/anaconda/iutil.py", line 72, in execWithCapture
    raise RuntimeError, "Error running " + command + ": " + msg
RuntimeError: Error running : Permission denied
sending termination signals...done
sending kill signals...done
disabling swap...
unmounting filesystems...
 /mnt/runtime done
 disabling /dev/loop0
 /proc done
 /dev/pts done
 /sys done
 /tmp/ramfs done
 /selinux done
you may safely reboot your system


The kickstart used in this case was
http://hank.test.redhat.com/autotest/testcases/nightly_RHEL5.2-Server-20080207.nightly_5-s390x/minimal-distill-yes-yes-english-http--VNC/ks.cfg
Comment 3 James Laska 2008-02-08 08:47:19 EST
Testing against RHEL5.2-Server-20080208.nightly/s390x l (anaconda-11.1.2.98-1)
yields ...

13:15:10 INFO    : inserted /tmp/dm-mod.ko
13:15:10 INFO    : inserted /tmp/dm-zero.ko
13:15:10 INFO    : inserted /tmp/dm-mirror.ko
13:15:10 INFO    : inserted /tmp/dm-snapshot.ko
device-mapper: multipath: version 1.0.5 loaded
13:15:10 INFO    : inserted /tmp/dm-multipath.ko
device-mapper: multipath round-robin: version 1.0.0 loaded
13:15:10 INFO    : inserted /tmp/dm-round-robin.ko
device-mapper: multipath emc: version 0.0.3 loaded
13:15:10 INFO    : inserted /tmp/dm-emc.ko
13:15:10 INFO    : load module set done
13:15:10 INFO    : looking for USB mouse...
13:15:10 INFO    : Running anaconda script /usr/bin/anaconda
                       anaconda,                                       Red Hat E
nterprise Linux Server -                                        ...
Traceback (most recent call last):
  File "/usr/bin/anaconda", line 902, in ?
    anaconda.id = instClass.installDataClass(anaconda, extraModules, floppyDevic
e, anaconda.methodstr, opts.display_mode, anaconda.backend)
  File "/usr/lib/anaconda/instdata.py", line 316, in __init__
    self.reset()
  File "/usr/lib/anaconda/instdata.py", line 56, in reset
    self.iscsi = iscsi.iscsi()
  File "/usr/lib/anaconda/iscsi.py", line 173, in __init__
    self.fwinfo = self._queryFirmware()
  File "/usr/lib/anaconda/iscsi.py", line 218, in _queryFirmware
    result = iutil.execWithCapture(ISCSIADM, argv)
  File "/usr/lib/anaconda/iutil.py", line 72, in execWithCapture
    raise RuntimeError, "Error running " + command + ": " + msg
RuntimeError: Error running :
sending termination signals...done
sending kill signals...done
disabling swap...
unmounting filesystems...
 /mnt/runtime done
 disabling /dev/loop0
 /proc done
 /dev/pts done
 /sys done
 /tmp/ramfs done
 /selinux done
you may safely reboot your system

Comment 4 James Laska 2008-02-08 08:48:21 EST
Created attachment 294352 [details]
iscsi.patch

Do we need to be checking has_iscsi() before accessing the ISCSIADM variables? 
I've patched iscsi.py and tested with an updates.img against the s390x tree. 
While it may not be pretty, it works around the problem.

http://porkchop.redhat.com/nightly/RHEL5.2-Server-20080208.nightly/5/s390x/os/images/updates.img
Comment 5 David Cantrell 2008-02-08 14:43:39 EST
Fixed in anaconda-11.1.2.97-1 and later.
Comment 8 James Laska 2008-02-11 08:18:39 EST
Still seeing this problem with RHEL5.2-Server-20080211.nightly
(anaconda-11.1.2.99-1.s390x)

The VNC server is now running.
Please connect to poe.z900.redhat.com:1 to begin the install...
Press <enter> for a shell
Starting graphical installation...
Traceback (most recent call last):
  File "/usr/bin/anaconda", line 902, in ?
    anaconda.id = instClass.installDataClass(anaconda, extraModules, floppyDevic
e, anaconda.methodstr, opts.display_mode, anaconda.backend)
  File "/usr/lib/anaconda/instdata.py", line 316, in __init__
    self.reset()
  File "/usr/lib/anaconda/instdata.py", line 56, in reset
    self.iscsi = iscsi.iscsi()
  File "/usr/lib/anaconda/iscsi.py", line 173, in __init__
    self.fwinfo = self._queryFirmware()
  File "/usr/lib/anaconda/iscsi.py", line 218, in _queryFirmware
    result = iutil.execWithCapture(ISCSIADM, argv)
  File "/usr/lib/anaconda/iutil.py", line 72, in execWithCapture
    raise RuntimeError, "Error running " + command + ": " + msg
RuntimeError: Error running : Permission denied
sending termination signals...done
sending kill signals...done
disabling swap...
unmounting filesystems...
 /mnt/runtime done
 disabling /dev/loop0
 /proc done
 /dev/pts done
 /sys done
 /tmp/ramfs done
 /mnt/source done
 /selinux done
you may safely reboot your system


Kickstart used -
http://hank.test.redhat.com/autotest/testcases/nightly_RHEL5.2-Server-20080211.nightly_5-s390x/key-server-distill-english-nfs-VNC-31cf-daf1-358c-25da/ks.cfg

Moving back to ASSIGNED

Using updates images posted in comment#4 seems to fix the problem
(http://porkchop.redhat.com/nightly/RHEL5.2-Server-20080208.nightly/5/s390x/os/images/updates.img)
Comment 9 Peter Jones 2008-02-11 15:13:28 EST
This should be fixed in 11.1.2.100-1 .  Thanks, James.
Comment 12 errata-xmlrpc 2008-05-21 11:32:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0397.html

Note You need to log in before you can comment on or make changes to this bug.